// utility macros
#define SECONDS(n) (n * 1000)

static const Block blocks[] = {
    /*Icon*/    /*Command*/     /*Update Interval*/ /*Update Signal*/
    // {"", "dwmblocks-battery", SECONDS(10), 0},
    {"", "[ \"$(fcitx5-remote)\" -eq 2 ] && printf '和' || printf '英'", 0, 2},
    {"", "dwmblocks-mu4e", SECONDS(15), 0},
    {"", "dwmblocks-volume", 0, 1},
    {" ", "date +'%a %b %d'", SECONDS(30), 0},
    {" ", "date +'%R'", SECONDS(2), 0},
    {"", "dwmblocks-network", SECONDS(5), 0},
    //{"", "dwmblocks-fcitx5", 250, 0},
};

#include "pulse-listener.h"

static const ThreadCallback thread_callbacks[] = {
    pulse_listener_main
};

// sets delimeter between status commands. NULL character ('\0') means no delimeter.
static char delim[] = "  ";
static unsigned int delimLen = 2;
